Subject: [bug#38108] [PATCH] doc: Fix typos.

From: zimoun <[email-masked]>
Date: Sat, 9 Nov 2019 13:14:35 +0100

Hi Ludo,

On Fri, 8 Nov 2019 at 23:41, Ludovic Courtès <[email-masked]> wrote:

> So, is it this simple?  :-)

The real hard part is about quoting mark: ." or ". ;-)
The Guardian has some explanations.
https://www.theguardian.com/guardian-observer-style-guide-q
https://www.theguardian.com/media/mind-your-language/2011/may/19/mind-your-language-punctuation-quotations

> (I wanted to check the Chicago Manual of Style but it’s now behind a
> paywall.)

I have gone with the free trial ;-)

6: Punctuation
6.13: Periods in relation to parentheses and brackets

--8<---------------cut here---------------start------------->8---
When an entire independent sentence is enclosed in parentheses or square
brackets, the period belongs inside the closing parenthesis or bracket. When
matter in parentheses or brackets, even a grammatically complete sentence, is
included within another sentence, the period belongs outside (but see also
6.98). Avoid enclosing more than one complete sentence within another
sentence. In the third example, two periods are required—one for the
abbreviation etc. and one for the sentence as a whole, outside the parentheses
(see also 6.14, 6.123). For periods relative to quotation marks, see 6.9.

    Fiorelli insisted on rewriting the paragraph. (His newfound ability to type
    was both a blessing and a curse.)

    Felipe had left an angry message for Isadora on the mantel (she noticed it
    while glancing in the mirror).

    His chilly demeanor gave him an affinity for the noble gases (helium, neon,
    etc.).

    There were many groundbreaking moments in All in the Family. (The one
    featuring “the kiss,” with Sammy Davis Jr., springs to mind.)

    “All the evidence pointed to the second location [the Lászlós’ studio].”
--8<---------------cut here---------------end--------------->8---

> In short, it looks like most or all of the changes you made are
> “correct”, but you might want to double-check, also to account for the
> typo Giovanni noticed.

When searching inspiration for another commit message, I reached this
commit ba7ea5ce33 changing some '.)' to ').'.
As you know, I am not native English speaker (french Sud-Ouest power!
;-)) so then I checked on the random Internet and asked on #guix
channel what it is rule. I initially thought an US vs UK specificity.
But not.

Quoting IRC log [1]:

<smithras>zimoun: hmm I'm from the US and I've always put the dot
after the closing paren
<alextee[m]>parenthesis end goes before period in both US and UK
english i think zimoun
<xd1le>zimoun: yes. basically the sentence should be valid if you
remove the parens and everything inside them.
<xd1le>if the sentence in parentheses is on its own, the period i
think should be inside the parentheses
<xd1le>if it's a sentence*
<xd1le>but that example is not on its own

[1] http://logs.guix.gnu.org/guix/2019-11-07.log

Currently the manual contains the both style -- .) and )..

Well, I will triple check because it is tricky and update the patch.

> I think this will invalidate translations of the affected paragraphs.
> Is that a big deal, Julien, or is it easily resolved?

>From a quick check, it is already resolved using the correct french
style (from my knowledge). But I have not checked everything in the
manual nor in the "Lexique des règles typographiques en usage à
l'Imprimerie nationale". No idea about the other translations.

Thank you.
simon

ps:
I feel like cutting the hair in small pieces ;-)
But I always interesting the typo. :-)